# Deprecated API

## Contents

- Classes
- Methods
- Constructors

Deprecated Classes
Class
Description
com.ericsson.otp.erlang.OtpServer
the functionality of this class has been moved to `OtpSelf` .

Deprecated Methods
Method
Description
com.ericsson.otp.erlang.OtpOutputStream.count()
As of Jinterface 1.4, replaced by super.size().
com.ericsson.otp.erlang.OtpPeer.connect(OtpSelf)
Use the corresponding method in `OtpSelf` instead.

Deprecated Constructors
Constructor
Description
com.ericsson.otp.erlang.OtpErlangPid(OtpLocalNode)
use OtpLocalNode:createPid() instead
com.ericsson.otp.erlang.OtpErlangRef(OtpLocalNode)
use OtpLocalNode:createRef() instead